com.sap.conn.jco.monitor

## Interface JCoRepositoryMonitor

-     public interface JCoRepositoryMonitor

  Repository monitor provides some additional details about the repository. The monitor instance will be create by `JCo.getRepositoryMonitor(id)`, where id is a value of `JCo.getRepositoryIDs`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getClassMetaDataCount()` Return the number of the cached class meta data objects.
    `List<String>` | `getDestinationIDs()` Returns the list of destination IDs which can be used by the monitored repository for its DDIC queries.
    `int` | `getFunctionMetaDataCount()` Returns the number of the cached function meta data objects.
    `long` | `getLastAccessTimestamp()` Returns the time stamp of the last access to the repository.
    `long` | `getLastRemoteQueryTimestamp()` Returns the time stamp of the last remote query done by the repository.
    `JCoDestinationMonitor` | `getRespositoryDestinationMonitor(String destinationID)` Deprecated. Might be removed in future versions without further notice. Use `JCo.getRepositoryDestinationMonitor(String)` instead.
    `int` | `getTypeMetaDataCount()` Return the number of the cached type (tables and structures) meta data objects.

- - ### Method Detail

    - #### getLastAccessTimestamp

          long getLastAccessTimestamp()

      Returns the time stamp of the last access to the repository.
      Returns:
        time stamp in ms

    - #### getLastRemoteQueryTimestamp

          long getLastRemoteQueryTimestamp()

      Returns the time stamp of the last remote query done by the repository. 0L will be returned. if no queries were executed so far.
      Returns:
        time stamp in ms

    - #### getFunctionMetaDataCount

          int getFunctionMetaDataCount()

      Returns the number of the cached function meta data objects.
      Returns:
        number of cached function meta data objects

    - #### getTypeMetaDataCount

          int getTypeMetaDataCount()

      Return the number of the cached type (tables and structures) meta data objects.
      Returns:
        number of cached type meta data objects

    - #### getClassMetaDataCount

          int getClassMetaDataCount()

      Return the number of the cached class meta data objects.
      Returns:
        number of cached class meta data objects

    - #### getDestinationIDs

          List<String> getDestinationIDs()

      Returns the list of destination IDs which can be used by the monitored repository for its DDIC queries. If the repository does not use destinations at all, e.g. it is a custom repository, an empty list will be returned.
      Returns:
        the list of the destination IDs or an empty list

    - #### getRespositoryDestinationMonitor

          JCoDestinationMonitor getRespositoryDestinationMonitor(String destinationID)
                                                                 throws JCoRuntimeException

      Deprecated. Might be removed in future versions without further notice. Use `JCo.getRepositoryDestinationMonitor(String)` instead.
      Returns the destination monitor instance for the given destination ID.
      Parameters:
        `destinationID` - ID of the destination that is used for the repository calls
      Returns:
        the destination monitor
      Throws:
        `JCoRuntimeException` - with the key JCO_ERROR_ILLEGAL_ARGUMENT if the destination with the given id is not used by this repository instance

Copyright © 2016 SAP. All Rights Reserved.